# Class PlotState.SimpleValueInfo

java.lang.Object
uk.ac.starlink.table.DefaultValueInfo
uk.ac.starlink.ttools.plot.PlotState.SimpleValueInfo

All Implemented Interfaces:
  `uk.ac.starlink.table.ValueInfo`

Enclosing class:
  `PlotState`

protected static class PlotState.SimpleValueInfo extends uk.ac.starlink.table.DefaultValueInfo
ValueInfo implementation which ignores information that's not relevant to plotting. The point of using this is so that we can implement its equals method suitably.

Since:
  21 Jun 2004
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`SimpleValueInfo(uk.ac.starlink.table.ValueInfo baseInfo)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class uk.ac.starlink.table.DefaultValueInfo

`formatClass, formatShape, formatValue, generalise, getAuxData, getContentClass, getDescription, getDomainMappers, getElementSize, getName, getShape, getUCD, getUnitString, getUtype, getXtype, isArray, isNullable, setAuxData, setContentClass, setDescription, setDomainMappers, setElementSize, setName, setNullable, setShape, setUCD, setUnitString, setUtype, setXtype, toString, unformatShape, unformatString`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.ValueInfo

`getAuxDatumByName, setAuxDatum`

## Constructor Details

### SimpleValueInfo

public SimpleValueInfo(uk.ac.starlink.table.ValueInfo baseInfo)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`